body {
  min-height: 100vh;
  min-height: -webkit-fill-available;
}

html {
  height: -webkit-fill-available;
}

main {
  display: flex;
  flex-wrap: nowrap;
  height: 100vh;
  height: -webkit-fill-available;
  max-height: 100vh;
  overflow-x: auto;
  overflow-y: auto;
}

.b-example-divider {
  flex-shrink: 0;
  width: 1.5rem;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.1);
  border: solid rgba(0, 0, 0, 0.15);
  border-width: 1px 0;
  box-shadow: inset 0 0.5em 1.5em rgba(0, 0, 0, 0.1),
    inset 0 0.125em 0.5em rgba(0, 0, 0, 0.15);
}

.bi {
  vertical-align: -0.125em;
  pointer-events: none;
  fill: currentColor;
}

.dropdown-toggle {
  outline: 0;
}

.nav-flush .nav-link {
  border-radius: 0;
}

.btn-toggle {
  display: inline-flex;
  align-items: center;
  padding: 0.25rem 0.5rem;
  font-weight: 600;
  color: rgba(0, 0, 0, 0.65);
  background-color: transparent;
  border: 0;
}
.btn-toggle:hover,
.btn-toggle:focus {
  color: rgba(0, 0, 0, 0.85);
  background-color: #d2f4ea;
}

.btn-toggle::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform 0.35s ease;
  transform-origin: 0.5em 50%;
}

.btn-toggle[aria-expanded="true"] {
  color: rgba(0, 0, 0, 0.85);
}
.btn-toggle[aria-expanded="true"]::before {
  transform: rotate(90deg);
}

.btn-toggle-nav a {
  display: inline-flex;
  padding: 0.1875rem 0.5rem;
  margin-top: 0.125rem;
  margin-left: 1.25rem;
  text-decoration: none;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
  background-color: #d2f4ea;
}

.scrollarea {
  overflow-y: auto;
}

.fw-semibold {
  font-weight: 600;
}
.lh-tight {
  line-height: 1.25;
}

.flex-shrink-0{
  position: absolute;
}

#editAdminInitials, #createUser, #readUser{
  margin: 0 auto;
  position: relative;
  left: 5rem;
  width: 35%;
  height: fit-content;
}

#editUser{
  margin: 0 auto;
  width: 35%;
}

#readUser{
  margin: 2rem auto;
}

form {
  display: flex;
  height: 100vh;
}

form div{
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin:0 auto;
  width: 100%;
  height:fit-content;
  align-self: center;
  align-items: center;
  padding: 5rem;
  border: 1px solid transparent;
  border-radius: 2%;
  background-color: white;
  /* box-shadow: 2px 2px 4px black; */
}

.hide{
  display: none;
}

#readUser{
  width: 50%;
  display: flex;
  justify-content: center;
  margin-top: 50px;
  /* align-items: center; */
}

th, td{
  padding: 20px !important;
  /* border: 1px solid black; */
}

.closeEditBtn {
  position: absolute;
  border: 3px red solid;
  right: 26rem;
  top: 5rem;
  color: red;
  border-radius: 5px;
  background: transparent;
}
.closeEditBtn:hover{
  background: red;
  color: white;
}

.pavti {
  position: absolute;
  bottom: 20px;
}

.pavti .btn-toggle::before{
  content:'';
  width: 0;
}

.alert{
  position: absolute;
  top: 0;
  right: 0;
  z-index: 10;
}

.validationMessage {
  font-weight: normal;
  font-size: 15px;
  color: red;
}

.disp {
  display: none;
}

#search {
  float: right;
  width: 40%;
  margin-bottom: 10px;
  padding: 5px;
  outline: none;
  border: none;
}

.validationSpan{
  width:100%;
}